
From: Kevin Corry <kevcorry@us.ibm.com>

dm-table.c: Proper usage of dm_vcalloc. [Dave Olien]

Signed-off-by:  Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/md/dm-table.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/md/dm-table.c~dm-tablec-proper-usage-of-dm_vcalloc drivers/md/dm-table.c
--- 25/drivers/md/dm-table.c~dm-tablec-proper-usage-of-dm_vcalloc	Wed May 26 15:43:38 2004
+++ 25-akpm/drivers/md/dm-table.c	Wed May 26 15:43:38 2004
@@ -181,8 +181,8 @@ static int alloc_targets(struct dm_table
 	/*
 	 * Allocate both the target array and offset array at once.
 	 */
-	n_highs = (sector_t *) dm_vcalloc(sizeof(struct dm_target) +
-					  sizeof(sector_t), num);
+	n_highs = (sector_t *) dm_vcalloc(num, sizeof(struct dm_target) +
+					  sizeof(sector_t));
 	if (!n_highs)
 		return -ENOMEM;
 
_
